Download it now!
Bug 114802 - Emojis palette inserts code instead of emoji
Summary: Emojis palette inserts code instead of emoji
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.0.2
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2018-01-02 13:13 UTC by Jean-Baptiste Faure
Modified: 2018-02-01 17:28 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2018-01-02 13:13:06 UTC
Description:
In LO 6.0.0.1.0+ it is easy to activate the palette of emojis in the main toolbar. Clicking on an emoji in the toolbar inserts its code instead of the emoji. It works as expected in LO 5.4.4.

Steps to Reproduce:
1. Enable experimental features in Tools > Options > LibreOffice > Advanced
2. Open a new empty document in Writer
3. Right click on the main toolbar and select the entry Visible Buttons and activate Emojis; Emojis palette appears in the main toolbar;
4. in the main toolbar click on the Emojis palette and choose a the emoji you want

Actual Results:  
a numerical code in inserted at the cursor position

Expected Results:
the corresponding emoji should be inserted 


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 6.0.0.1.0+
Build ID: 5bd8887e8def134ba59b9524f9d6c85dad14c693
CPU threads: 4; OS: Linux 4.4; UI render: GL; VCL: gtk3; 
Ubuntu_16.04_x86-64
Locale: fr-FR (fr_FR.UTF-8); Calc: threaded

No matter if OpenGL is enabled or not.


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Laurent BP 2018-01-02 13:31:30 UTC
Confirmed with a recent master:
Version: 6.1.0.0.alpha0+
Build ID: 6708c97f53c5d1bf9f7e38b8efae15523490b3cf
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: zh-TW (fr_FR.UTF-8); Calc: group threaded

and
Version: 6.0.0.1.0+
Build ID: 24b3fc49238b1890769fa45571a3043646e4e4b9
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-6-0, Time: 2018-01-02_10:09:02
Locale: fr-FR (fr_FR.UTF-8); Calc: group
Comment 2 Jean-Baptiste Faure 2018-01-03 11:26:48 UTC
It works as expected in LO 5.4.4, so regression.

Best regards. JBF
Comment 3 raal 2018-01-06 07:52:12 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin ; Could you possibly take a look at this one?
Thanks

2e3787168b6e2e3b00370a6a3e4d22ff20715d7b is the first bad commit
commit 2e3787168b6e2e3b00370a6a3e4d22ff20715d7b
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Jun 20 06:35:35 2017 +0200

    source sha:027b25ecd54ac97ea2471ca73e3ba89ce052fe76

author	Noel Grandin <noel.grandin@collabora.co.uk>	2017-06-09 13:43:00 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-06-09 14:24:00 +0200
commit	027b25ecd54ac97ea2471ca73e3ba89ce052fe76 (patch)
tree	fe8923a13998a96a865027c897273d0edb4d7c62
parent	f59e802478e35e7b6f561f24806bca47b604529b (diff)
use comphelper::InitPropertySequence in more places
Comment 4 Xisco Faulí 2018-01-09 14:16:11 UTC
Adding Cc: to Noel Grandin -> see comment 3
Comment 5 Xisco Faulí 2018-01-10 15:07:41 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/47704/ Thanks Noel
Comment 6 Commit Notification 2018-01-11 06:44:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=039a52dfc73c23e61480362a5f0d2ab6e6b4ef8f

tdf#114802 Emojis palette inserts code instead of emoji

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Jean-Baptiste Faure 2018-01-11 10:21:32 UTC
(In reply to Commit Notification from comment #6)
> Noel Grandin committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=039a52dfc73c23e61480362a5f0d2ab6e6b4ef8f
> 
> tdf#114802 Emojis palette inserts code instead of emoji
> 
> It will be available in 6.1.0.
> 
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> http://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

Thank you very much, it works as expected in master. 
Please, backport the patch in LO 6.0.

Best regards. JBF
Comment 8 Commit Notification 2018-01-11 15:08:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c66fc64e49353144a204743f900191443dbff5a1&h=libreoffice-6-0

tdf#114802 Emojis palette inserts code instead of emoji

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Jean-Baptiste Faure 2018-01-12 08:21:59 UTC
Thank you very much for the patches. Works as expected in both master and 6.0.

Setting as Verified Fixed. Feel free to reopen if you disagree.

Best regards. JBF